Compare commits

..

2 Commits

Author SHA1 Message Date
Ettore Di Giacinto 66284024a2 Use new eit options 2018-06-02 13:38:31 +02:00
Ettore Di Giacinto 64f8ee54a3 functions: make /opt/sabayon-build/ configurable 2018-02-15 00:07:41 +01:00
2 changed files with 5 additions and 3 deletions
+2 -2
View File
@@ -68,8 +68,8 @@ fi
eit key import \$repo /etc/entropy/mykeys/private.key /etc/entropy/mykeys/key.pub && { eit key sign \$repo || true; } && { echo "=== Repository key imported successfully ==="; } eit key import \$repo /etc/entropy/mykeys/private.key /etc/entropy/mykeys/key.pub && { eit key sign \$repo || true; } && { echo "=== Repository key imported successfully ==="; }
echo "=== Injecting packages ===" echo "=== Injecting packages ==="
echo "Yes" | eit inject \${built_pkgs} || { echo "ouch unable to inject" && exit 3; } eit inject --quick \${built_pkgs} || { echo "ouch unable to inject" && exit 3; }
echo "Yes Yes Yes" | eit commit --quick eit commit --quick
echo "=== Pushing built packages locally ===" echo "=== Pushing built packages locally ==="
eit push --quick --force eit push --quick --force
+3 -1
View File
@@ -2,6 +2,8 @@
set -e set -e
export BUILD_DIR="${BUILD_DIR:-/opt/sabayon-build/}"
check_docker_requirements(){ check_docker_requirements(){
if [ "$(id -u)" != "0" ]; then if [ "$(id -u)" != "0" ]; then
groups | grep -q docker || echo "--> If you are not running the script as root, your user should be in the docker group to use it. (sudo gpasswd -a $USER docker)" groups | grep -q docker || echo "--> If you are not running the script as root, your user should be in the docker group to use it. (sudo gpasswd -a $USER docker)"
@@ -15,7 +17,7 @@ build_sync() {
layman -S layman -S
emerge --sync emerge --sync
eix-update eix-update
pushd /opt/sabayon-build/ pushd "${BUILD_DIR}"
git stash git stash
git fetch --all || true git fetch --all || true
git checkout master || true git checkout master || true